Haketilo - Feature #63

Force <noscript> tags on pages where scripts are blocked
07/23/2021 06:27 PM - koszko

Status: Closed Start date: 07/23/2021
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description
Other extensions should already have some code for this

History

#1 - 08/23/2022 11:08 PM - jacobk

| was originally going to file a "Bug" titled "Haketilo seems to break StartPage search results.", but then | think | figured out what the problem is, so |
decided to make it a comment here so that people searching for why this specific site isn't working can find this page. | think what people should do
for now if they sometimes need tags is also install NoScript, but then now you have to interact with 2 extensions for each website you want to enable
a fix for.

If you go to https://www.startpage.com/ and do a web search, it should take you to https://www.startpage.com/sp/search and show you the search box
with what you typed and the results below. This is what happens when you search with javascript.enabled set to false. When Haketilo is installed and
javascript.enabled is set to true, Startpage does not display results or the search box properly. But then, if you also install NoScript or Haketilo,
StartPage works fine again.

It seems like you can at least make results display using document.querySelectorAll("section.w-gl.w-gl--desktop.w-gl--")[0].style.visibility = "visible";.

#2 - 08/24/2022 02:07 PM - koszko
- % Done changed from 0 to 100

- Status changed from New to Closed

Thanks for reminding me of this issue. It was so simple that | actually included it in Haketilo 2.0. At least | had a pretext to make that release and write
the news item (there was literally no other improvement since 2.0-betal).

The <noscript> tags shall now be converted to non-standard <haketilo-noscript> tags. There may still be some issues when page applies additional
styles to <noscript> tags, but it shouldn't be causing much trouble in practice :)
